Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message
Enum BaseMessageType

    java.lang.Object
      java.lang.Enum<BaseMessageType>
          jp.ac.nagoyau.is.ss.kishii.suntori.message.BaseMessageType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BaseMessageType>

    public enum BaseMessageType

extends java.lang.Enum<BaseMessageType>

The BaseMessageType represents the basic message types that are provided.

There are three kinds of definitions.

Information Message Type
  This type indicates that the information obtained from the disaster space.
  BUILDING,BLOCKADE,BLOCKADE_WITH_COORDINATE,VICTIM,VICTIM_WITH_COORDINATE, POSITION,TRANSFER_PATHWAY,FIRE_BRIGADE,POLICE_FORCE,AMBULANCE_TEAM and UNPASSABLE correspond to this.
Task Message Type
  This type indicates that the message is a task ordered agent has to execute it.
  CLEAR_ROUTE,RESCUE_AREA and EXTINGUISH_AREA correspond to this.
  REST_TASK, MOVE_TASK, CLEAR_BLOCKADE_TASK, RESCUE_TASK, EXTINGUISH_TASK and WATER_SUPPLY_TASK correspond to this.
Report Message Type
  This type indicates that the message is a report for the given task.
  DONE and EXCEPTION correspond to this.

Author:
  takefumi

Enum Constant Summary
`AMBULANCE_TEAM` ambulance team
`BLOCKADE` blockade
`BLOCKADE_WITH_COORDINATE` blockade with coordinate
`BUILDING` building
`CLEAR_ROUTE` clear route(ex.
`DONE` report message that task was done
`EXCEPTION` report message that task cannot be execute
`EXTINGUISH_AREA` extinguish area task
`FIRE_BRIGADE` fire brigade
`MOVE_TASK` move task
`MOVE_WITH_STAGING_POST_TASK` move with staging post task
`POLICE_FORCE` police force
`POSITION` position
`RESCUE_AREA` rescue area task(area : collection of entity.Area)
`REST_AT_REFUGE_TASK`
`REST_TASK` rest task
`TRANSFER_PATHWAY` transfer pathway
`UNPASSABLE`
`VICTIM` victim
`VICTIM_WITH_COORDINATE` victime with coordinate

Method Summary
`DataType[]` | `getDataType()`
`int` | `getTypeLength()`
`static BaseMessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BaseMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNPASSABLE

    public static final BaseMessageType UNPASSABLE

### BUILDING

    public static final BaseMessageType BUILDING

  building

### BLOCKADE

    public static final BaseMessageType BLOCKADE

  blockade

### BLOCKADE_WITH_COORDINATE

    public static final BaseMessageType BLOCKADE_WITH_COORDINATE

  blockade with coordinate

### VICTIM

    public static final BaseMessageType VICTIM

  victim

### VICTIM_WITH_COORDINATE

    public static final BaseMessageType VICTIM_WITH_COORDINATE

  victime with coordinate

### POSITION

    public static final BaseMessageType POSITION

  position

### TRANSFER_PATHWAY

    public static final BaseMessageType TRANSFER_PATHWAY

  transfer pathway

### FIRE_BRIGADE

    public static final BaseMessageType FIRE_BRIGADE

  fire brigade

### POLICE_FORCE

    public static final BaseMessageType POLICE_FORCE

  police force

### AMBULANCE_TEAM

    public static final BaseMessageType AMBULANCE_TEAM

  ambulance team

### REST_TASK

    public static final BaseMessageType REST_TASK

  rest task

### REST_AT_REFUGE_TASK

    public static final BaseMessageType REST_AT_REFUGE_TASK

### MOVE_TASK

    public static final BaseMessageType MOVE_TASK

  move task

### MOVE_WITH_STAGING_POST_TASK

    public static final BaseMessageType MOVE_WITH_STAGING_POST_TASK

  move with staging post task

### CLEAR_ROUTE

    public static final BaseMessageType CLEAR_ROUTE

  clear route(ex. ensure a route from A to B )

### RESCUE_AREA

    public static final BaseMessageType RESCUE_AREA

  rescue area task(area : collection of entity.Area)

### EXTINGUISH_AREA

    public static final BaseMessageType EXTINGUISH_AREA

  extinguish area task

### DONE

    public static final BaseMessageType DONE

  report message that task was done

### EXCEPTION

    public static final BaseMessageType EXCEPTION

  report message that task cannot be execute

Method Detail

### values

    public static BaseMessageType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BaseMessageType c : BaseMessageType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BaseMessageType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDataType

    public DataType[] getDataType()

### getTypeLength

    public int getTypeLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD